import toast, { Toaster } from 'react-hot-toast';
import React from 'react';
import '../css/Login.css';
import '../css/index.css';

function Login() {
    async function sendData(event) {
        event.preventDefault();
        const username = event.target![0].value;
        const password = event.target![1].value;

        if (!username) {
            toast("Необходимо указать имя пользователя", {icon: '⚠️'})
            return;
        }
        if (!password) {
            toast("Необходимо указать пароль", {icon: '⚠️'});
            return;
        }
        
        const response = await fetch('/api/v1/user/login', {
            method: 'POST',
            body: JSON.stringify({
                username,
                password
            }),
            headers: {
                "Content-Type": "application/json"
            }
        });
        switch (response.status) {
            case 404:
                toast("Такой пользователь не существует!", {icon: '❌️'});
                break;
            case 401:
                toast("Неверный пароль!", {icon:'❌️'});
                break;
            case 200:
                document.location.href = "/";
                break;
        }
    }

    function goToLoginPage () {
        window.location.href="/register"
    }

    return (
        <div className='container'>
                <h1>
                    Вход
                </h1>
                <iframe name="invisible" style={{display: "none"}}></iframe>
                <form onSubmit={sendData}>
                    <input className='beautiful_input' id='login' name='login' type='text' placeholder='Имя пользователя'></input>
                    <input className='beautiful_input' id='password' name='password' type='password' placeholder='Пароль'></input>
                    <button type="submit">Войти</button>
                </form>
                <button style={{marginTop: "25px"}} onClick={goToLoginPage}>Нет аккаунта</button>
                <Toaster />
        </div>
    );
}

export default Login;